#include <stdio.h>

/* Test fr Unterprogramm akeh.c durch Vergleich mit der lteren
   Programmversion hex. Die Ergebnisse sollten mit dem File hex.liste
   bereinstimmen

   Input: 5 Zahlen pro Zeile, durch blanks getrennt
   
          pH1  pH2 Al-t[mol/l] Volumen[l] Gewicht[g]

*/


int main(void){

  double ph0,ph1,cal,str,exh,vol,gew;
  int rc;

  for(;;) {
    rc = scanf("%le%le%le%le%le%*[^\n]",&ph0,&ph1,&cal,&vol,&gew);
    printf("input: %g %g %g %g %g\n",ph0,ph1,cal,vol,gew);
    if (rc == EOF){
      break;
    }
    if (rc == 5){
      str = 1.0;
      printf("cal = %g mol/l\n",cal);
      rc = akeh(ph0,ph1,cal,str,&exh);
      exh = exh/1000.0 * vol / (gew/1000.0);
      printf("ier = %d, exh = %g mmol/kg\n",rc,exh);
    }
    else{
      printf("%s\n","Data input error.");
      break;
    }
  }

 return 0;
}
